--[[
	lua/autorun/client/scripts/boobies.lua
	Oubliette | (STEAM_0:1:34029133)
	===DStream===
]]

function cat()
	print(debug.traceback())
end

function dog()
	local a = cat()
	return a
end

dog()


function cat()
	print(debug.traceback())
end

function dog()
	return cat()
end

dog()

--[[
	Output

stack traceback:
	gamemodes/lifesim/gamemode/init.lua:22: in function 'cat'
	gamemodes/lifesim/gamemode/init.lua:26: in function 'dog'
	gamemodes/lifesim/gamemode/init.lua:30: in main chunk
stack traceback:
	gamemodes/lifesim/gamemode/init.lua:36: in function 'dog'
	gamemodes/lifesim/gamemode/init.lua:43: in main chunk

]]